#ifndef _COORDINATE_H_
#define _COORDINATE_H_

#include <iostream>

using namespace std;

class Coordinate{
    friend ostream& operator<<(ostream &os, const Coordinate &c);
    private:
        int row;
        int column;
    public:
        Coordinate();
        Coordinate(int row, int column);
        int getRow() const { return row; }; // Devuelve la fila
        int getColumn() const { return column; }; // Devuelve la columna
        void setRow(int row) { this->row = row; }; // Asigna la fila
        void setColumn(int column) { this->column = column; }; // Asigna la columna
        bool isValid() const;
        void reset();
};

#endif