#ifndef _BOARD_H_
#define _BOARD_H_

#include <iostream>
#include <vector>
#include "Coordinate.h"
#include "Fighter.h"

using namespace std;

class Board{
    private:
        int size;
        vector<vector<Fighter*>> board;
    public:
        Board(int size);
        int getSize() const { return size; } // Devuelve el tamaño del tablero
        Fighter* getFighter(Coordinate c) const;
        bool inside(Coordinate c) const;
        int launch(Coordinate c, Fighter *f);
};

#endif